=== debian/changelog ===
ros-noetic-husky-description (0.6.6-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 Jan 2023 05:00:00 -0000

ros-noetic-husky-description (0.6.5-3buster) buster; urgency=high

  * Removed old bracket
  * Updated brackets
  * Change the reference heading of the GPS plugin to be east so the coordinate system is ENU
  * Rename DATUM_* to GAZEBO_WORLD_*. We're separating the datum from the world's origin, and this keeps envars from clobbering each other
  * LMS1XX Tower EnvVar (#250 <https://github.com/husky/husky/issues/250>)
    * Added second velodyne description
    * Added environment variable to remove the LMS1XX mount
    * Removed console output
  * Use DATUM_LAT and DATUM_LON envars to override the default reference lat/lon for the Gazebo GPS plugin. This addresses a compatibility issue with outdoor nav simulations
  * Contributors: Chris Iverach-Brereton, Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Nov 2022 05:00:00 -0000

ros-noetic-husky-description (0.6.4-3buster) buster; urgency=high

  * Fixes for velodyne prefix
  * PACS Brackets (#238 <https://github.com/husky/husky/issues/238>)
    * Added STL models for brackets
    * Added brackets to URDF
    * Added bracket environment variables
  * Fixed issues with find
  * Added README with all Environment Variables
  * Duplicate URDF for every standard sensor
  * Added fath pivot mount as dependency
  * Added URDF of Blackfly on top of fath_pivot_mount
  * Added prefix to name parameter to differentiate between primary and secondary
  * Changed ENABLE to ENABLED
  * Changed HUSKY_FULL_RISER to HUSKY_FULL_RISER_LEVEL
  * Added PACS top plate and mounts to decorations
  * Added PACS urdf definitions
  * Added PACS meshes
  * Contributors: Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Jun 2022 04:00:00 -0000

ros-noetic-husky-description (0.6.3-3buster) buster; urgency=high

  * Added Blackfly
  * Added blackfly description dependancy
  * Realsense will no longer add the Sensor Arch (#220 <https://github.com/husky/husky/issues/220>)
    * Add parent link env-var to imu
    * Sensor Arch is only enabled by HUSKY_SENSOR_ARCH, changed default realsense mount frame to
  * Contributors: Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 May 2022 04:00:00 -0000

ros-noetic-husky-description (0.6.2-3buster) buster; urgency=high

  * Added Wibotic mesh and STL
  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Luis Camero, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-husky-description (0.6.1-3buster) buster; urgency=high

  * Fixed error in URDF
  * Added Hokuyo
  * Check launch file only if testing
    When building husky_control, husky_description, husky_navigation or
    husky_viz without tests, CMake fails as it does not find
    catkin_run_tests_target command. This patch adds conditions to fix
    this problem.
  * Revert changes to mount_base_link to preserve use of origin argument; instead, simply created an additional plate link that sits between the supports and VLP16
  * Create visual geometry of vlp16_mount_base_link
  * Update mount support dimensions and spacing to better represent real-world measurements
  * [husky_description] Fixed malformed STL warning for top_plate.stl.
  * Contributors: Alexandre Iooss, Luis Camero, Tony Baltovski, jyang-cpr

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-husky-description (0.6.0-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 28 Sep 2021 04:00:00 -0000

ros-noetic-husky-description (0.5.1-3buster) buster; urgency=high

  * cpr urdf extras
  * Remove the need to explicitly specify the laser_enabled, realsense_enabled, and urdf_extras arguments; use the envars to make it easier to simulate customized robots & use the moveit setup assistant.
  * Update intel_realsense.urdf.xacro
    modify image format in sim to avoid log warn spam
  * Add HUSKY_{FRONT|REAR}_BUMPER envars we can use to completely turn off the front & rear bumpers.  This is requested to make integration of the wireless charging docks easier
  * Add VLP16, secondary LMS1xx support (#164 <https://github.com/husky/husky/issues/164>)
    * Minimal refactor to add VLP16 + secondary LMS1xx support. Update defaults for the laser_enabled and realsense_enabled args to refer to the underlying envars to improve consistency when launching simulations. Modify the sensor bar to allow it to be positioned in the center by default, but with configurable xyz and rpy offsets
    * Add the new run dependencies
    * Remove the prefix's trailing underscore in the vlp16 mount to make it consistent. Fix an inconsistent envar for the sensor arch, add an arg to explicitly enable it, to stay internally consistent with the rest of Husky.
    * Fix the envars; its just HUSKY_LMS1XX, not HUSKY_LASER_LMS1XX
    * Revert to enabling the main laser by default in the simulations, add the velodyne_gazebo_plugins dependency
  * Add the ability to add the sensor bar with an envar without adding the realsense.  Add the sensor bar height as another arg + envar, fix the URDF when the 300mm sensorbar is enabled.
  * Contributors: Chris I-B, Ebrahim Shahrivar, vamshi konduri

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Sep 2021 04:00:00 -0000

ros-noetic-husky-description (0.5.0-3buster) buster; urgency=high

  * Update husky.urdf.xacro (#169 <https://github.com/husky/husky/issues/169>)
    Fix Failed to build tree: child link [base_laser_mount] of joint [laser_mount_joint] not found error.
    As found on https://answers.ros.org/question/354219/failed-to-build-tree-child-link-base_laser_mount-of-joint-laser_mount_joint-not-found/
  * Contributors: Guido Sanchez


