=== debian/control ===
Source: ros-noetic-husky-description
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch
Homepage: http://ros.org/wiki/husky_description
Standards-Version: 3.9.2

Package: ros-noetic-husky-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-fath-pivot-mount-description, ros-noetic-flir-camera-description, ros-noetic-lms1xx, ros-noetic-realsense2-description, ros-noetic-urdf, ros-noetic-velodyne-description, ros-noetic-xacro
Description: Clearpath Husky URDF description
