## ros-noetic-husky-description 0.6.9

=== debian/changelog ===
ros-noetic-husky-description (0.6.9-1focal) focal; urgency=high

  * change envvars to use a configuraiton string
  * fix alphabtical order of dependencies
  * add onav description dependency
  * modified envvar and args to match format of file
  * added urdf for outdoornav
  * Contributors: José Mastrangelo

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 19 May 2023 04:00:00 -0000

ros-noetic-husky-description (0.6.8-1focal) focal; urgency=high

  * Only Included Realsense if Enabled
  * Contributors: Luis Camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 04 May 2023 04:00:00 -0000

ros-noetic-husky-description (0.6.7-1focal) focal; urgency=high

  * Fixed Realsense URDF
  * Update README.md
  * Cleared up launch from description variables
  * Changed 'true' and '1' to 1
  * Switched all enables to true
  * Contributors: luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 10 Mar 2023 05:00:00 -0000

ros-noetic-husky-description (0.6.6-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 Jan 2023 05:00:00 -0000

ros-noetic-husky-description (0.6.5-1focal) focal; urgency=high

  * Removed old bracket
  * Updated brackets
  * Change the reference heading of the GPS plugin to be east so the coordinate system is ENU
  * Rename DATUM_* to GAZEBO_WORLD_*. We're separating the datum from the world's origin, and this keeps envars from clobbering each other
  * LMS1XX Tower EnvVar (#250 <https://github.com/husky/husky/issues/250>)
    * Added second velodyne description
    * Added environment variable to remove the LMS1XX mount
    * Removed console output
  * Use DATUM_LAT and DATUM_LON envars to override the default reference lat/lon for the Gazebo GPS plugin. This addresses a compatibility issue with outdoor nav simulations
  * Contributors: Chris Iverach-Brereton, Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Nov 2022 05:00:00 -0000

ros-noetic-husky-description (0.6.4-1focal) focal; urgency=high

  * Fixes for velodyne prefix
  * PACS Brackets (#238 <https://github.com/husky/husky/issues/238>)
    * Added STL models for brackets
    * Added brackets to URDF
    * Added bracket environment variables
  * Fixed issues with find
  * Added README with all Environment Variables
  * Duplicate URDF for every standard sensor
  * Added fath pivot mount as dependency
  * Added URDF of Blackfly on top of fath_pivot_mount
  * Added prefix to name parameter to differentiate between primary and secondary
  * Changed ENABLE to ENABLED
  * Changed HUSKY_FULL_RISER to HUSKY_FULL_RISER_LEVEL
  * Added PACS top plate and mounts to decorations
  * Added PACS urdf definitions
  * Added PACS meshes
  * Contributors: Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Jun 2022 04:00:00 -0000

ros-noetic-husky-description (0.6.3-1focal) focal; urgency=high

  * Added Blackfly
  * Added blackfly description dependancy
  * Realsense will no longer add the Sensor Arch (#220 <https://github.com/husky/husky/issues/220>)
    * Add parent link env-var to imu
    * Sensor Arch is only enabled by HUSKY_SENSOR_ARCH, changed default realsense mount frame to
  * Contributors: Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 May 2022 04:00:00 -0000

ros-noetic-husky-description (0.6.2-1focal) focal; urgency=high

  * Added Wibotic mesh and STL
  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Luis Camero, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-husky-description (0.6.1-1focal) focal; urgency=high

  * Fixed error in URDF
  * Added Hokuyo
  * Check launch file only if testing
    When building husky_control, husky_description, husky_navigation or
    husky_viz without tests, CMake fails as it does not find
    catkin_run_tests_target command. This patch adds conditions to fix
    this problem.
  * Revert changes to mount_base_link to preserve use of origin argument; instead, simply created an additional plate link that sits between the supports and VLP16
  * Create visual geometry of vlp16_mount_base_link
  * Update mount support dimensions and spacing to better represent real-world measurements
  * [husky_description] Fixed malformed STL warning for top_plate.stl.
  * Contributors: Alexandre Iooss, Luis Camero, Tony Baltovski, jyang-cpr

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-husky-description (0.6.0-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 28 Sep 2021 04:00:00 -0000

ros-noetic-husky-description (0.5.1-1focal) focal; urgency=high

  * cpr urdf extras
  * Remove the need to explicitly specify the laser_enabled, realsense_enabled, and urdf_extras arguments; use the envars to make it easier to simulate customized robots & use the moveit setup assistant.
  * Update intel_realsense.urdf.xacro
    modify image format in sim to avoid log warn spam
  * Add HUSKY_{FRONT|REAR}_BUMPER envars we can use to completely turn off the front & rear bumpers.  This is requested to make integration of the wireless charging docks easier
  * Add VLP16, secondary LMS1xx support (#164 <https://github.com/husky/husky/issues/164>)
    * Minimal refactor to add VLP16 + secondary LMS1xx support. Update defaults for the laser_enabled and realsense_enabled args to refer to the underlying envars to improve consistency when launching simulations. Modify the sensor bar to allow it to be positioned in the center by default, but with configurable xyz and rpy offsets
    * Add the new run dependencies
    * Remove the prefix's trailing underscore in the vlp16 mount to make it consistent. Fix an inconsistent envar for the sensor arch, add an arg to explicitly enable it, to stay internally consistent with the rest of Husky.

