=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-noetic-husky-description
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-fath-pivot-mount-description, ros-noetic-flir-camera-description, ros-noetic-lms1xx, ros-noetic-realsense2-description, ros-noetic-urdf, ros-noetic-velodyne-description, ros-noetic-xacro
+Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cpr-onav-description, ros-noetic-fath-pivot-mount-description, ros-noetic-flir-camera-description, ros-noetic-lms1xx, ros-noetic-realsense2-description, ros-noetic-urdf, ros-noetic-velodyne-description, ros-noetic-xacro
 Description: Clearpath Husky URDF description
